"""add new ingestion-complete notification template

Revision ID: 10375ceec652
Revises: e0bbf2bf093f
Create Date: 2021-11-22 14:02:43.409386

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "10375ceec652"
down_revision = "e0bbf2bf093f"
branch_labels = None
depends_on = None


def upgrade():
    ingestion_complete_template_sql = """
    INSERT INTO notification_templates (name, description, template) VALUES (
        'ingested_email',
        'An email template for notifying a user that their capability request has been ingested into the archive',
        'To: {{destination_email}}
Subject: NRAO Workspaces Request #{{request_id}} has been ingested


Dear User,

Thank you for using NRAO Workspaces.

Your {{capability_name}} request #{{request_id}} has successfully had its products ingested into the archive.

Best regards,
NRAO Workspaces'
    )
    """
    op.execute(ingestion_complete_template_sql)


def downgrade():
    op.execute("DELETE FROM notification_templates WHERE name = 'ingested_email'")
